[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# MoveWindowOrg

Moves the origin for a windowed control.

## Declaration

Source position: controls.pp line 2738

`procedure MoveWindowOrg(`
`dc: HDC;`
`X: Integer;`
`Y: Integer`
`);`

## Arguments

`dc` |  | Device context updated in the routine.
`X` |  | Left coordinate for the new window origin.
`Y` |  | Top coordinate for the new window origin.

## Description

MoveWindowOrg is a procedure used to move the origin for a windowed control to the specified position. dc contains the device context for the Window handle used in the routine. X and Y contain the new coordinates in pixels used as the origin (Left and Top respectively) for canvas drawing operations.